Skip to content

Get campaigns

Request

Get a list of all campaigns.

Security
oauth2(Required scopes: borrowercampaign:list) or bearerAuth or apiKeyHeader
Query
sortByArray of strings

The data attributes by which to sort the results.

limitinteger, [ 1 .. 100 ]

The maximum count of results to retrieve.

Default:25
startingAfterstring

Return results starting after the provided object identifier.

GET
/campaigns
curl -i -X GET \
  'https://sandboxapi.peach.finance/api/campaigns?sortBy=string&limit=25&startingAfter=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
countintegerread-only

Number of items returned by the current request.

nextUrlstring or nullread-only

URL of the next set of results.

previousUrlstring or nullread-only

URL of the previous set of results.

statusinteger

HTTP status code.

totalintegerread-only

Total number of items in this result.

dataArray of objects(BorrowerCampaignFull)
Response
{ "count": 0, "nextUrl": "string", "previousUrl": "string", "status": 0, "total": 0, "data": [ { … } ] }